<?php

namespace Litecms\News\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class NewsTransformer extends TransformerAbstract
{
    public function transform(\Litecms\News\Models\News $news)
    {
        return [
            'id'                => $news->getRouteKey(),
            'key'               => [
                'public'    => $news->getPublicKey(),
                'route'     => $news->getRouteKey(),
            ], 
            'title'             => $news->title,
            'description'       => $news->description,
            'sort_desc'         => $news->sort_desc,
            'meta_title'        => $news->meta_title,
            'meta_description'  => $news->meta_description,
            'meta_keywords'     => $news->meta_keywords,
            'slug'              => $news->slug,
            'news_image'        => $news->news_image,
            'url'               => [
                'public'    => trans_url('news/'.$news->getPublicKey()),
                'user'      => guard_url('news/news/'.$news->getRouteKey()),
            ], 
            'status'            => trans('app.'.$news->status),
            'created_at'        => format_date($news->created_at),
            'updated_at'        => format_date($news->updated_at),
        ];
    }
}